function [V_POD,a_POD,erreur_POD] = POD(Q,epsilon_POD)

[V_POD,lambda,a] = svd(Q); % Q = V_POD*lambda*a'
[lambda,renum] = sort(diag(lambda),'descend');
L_selection = find(lambda > epsilon_POD * lambda(1));
N = length(L_selection);
V_POD = V_POD(:,renum(L_selection));
%a_POD = (V_POD'*V_POD)\(V_POD'*Q);  % on cherche a_POD qui minimise Q - V_POD*a_POD
a_POD = V_POD'*Q;
truncation_error_on_snapshots = sqrt(sum(lambda(N+1:length(lambda)).^2)/sum(lambda.^2))
erreur_POD = norm(Q-V_POD*a_POD)/norm(Q)

figure
semilogy(lambda,'+')
hold on
semilogy(lambda-lambda+epsilon_POD * lambda(1),'r')
xlabel('mode index')
ylabel('singular value')
pause(0.1)

end